diff --git a/game/core/src/main/java/net/minecraft/core/block/BlockLogicCobble.java b/game/core/src/main/java/net/minecraft/core/block/BlockLogicCobble.java
index 6a5a5416c..449acb335 100644
--- a/game/core/src/main/java/net/minecraft/core/block/BlockLogicCobble.java
+++ b/game/core/src/main/java/net/minecraft/core/block/BlockLogicCobble.java
@@ -14,7 +14,7 @@ import java.util.function.Supplier;
 public class BlockLogicCobble extends BlockLogic {
     private final @Nullable Supplier<? extends IItemConvertible> crushDrop;
 
-    public BlockLogicCobble(final @NotNull Block<?> block, final @NotNull Material material, final @Nullable Supplier<? extends IItemConvertible> crushResult) {
+    public BlockLogicCobble(final @NotNull Block<?> block, final @NotNull Material material, final @Nullable Supplier<? extends @NotNull IItemConvertible> crushResult) {
         super(block, material);
         this.crushDrop = crushResult;
     }
diff --git a/game/core/src/main/java/net/minecraft/core/block/Blocks.java b/game/core/src/main/java/net/minecraft/core/block/Blocks.java
index 64ba75c1b..d0c0e42ea 100644
--- a/game/core/src/main/java/net/minecraft/core/block/Blocks.java
+++ b/game/core/src/main/java/net/minecraft/core/block/Blocks.java
@@ -1374,7 +1374,7 @@ public final class Blocks {
     public static final Block<?> GLOOMSTONE = register("gloomstone", "minecraft:block/gloomstone", 1032, (b) -> new BlockLogicStone(b, Blocks.COBBLE_GLOOMSTONE, Materials.GLOOMSTONE))
         .withSound(BlockSounds.STONE).withHardness(2.0F).withBlastResistance(10F)
         .withTags(BlockTags.CAVES_CUT_THROUGH, BlockTags.NETHER_MOBS_SPAWN, BlockTags.NETHER_SURFACE_BLOCK, BlockTags.CHAINLINK_FENCES_CONNECT, BlockTags.MINEABLE_BY_PICKAXE, BlockTags.CAVES_CUT_THROUGH);
-    public static final Block<?> COBBLE_GLOOMSTONE = register("cobble.gloomstone", "minecraft:block/cobble_gloomstone", 1033, (b) -> new BlockLogicCobble(b, Materials.GLOOMSTONE, () -> null))
+    public static final Block<?> COBBLE_GLOOMSTONE = register("cobble.gloomstone", "minecraft:block/cobble_gloomstone", 1033, (b) -> new BlockLogicCobble(b, Materials.GLOOMSTONE, null))
         .withSound(BlockSounds.STONE).withHardness(2.0F).withBlastResistance(10F)
         .withTags(BlockTags.MINEABLE_BY_PICKAXE, BlockTags.CHAINLINK_FENCES_CONNECT, BlockTags.CAVES_CUT_THROUGH);
     public static final Block<?> BRICK_GLOOMSTONE = register("brick.gloomstone", "minecraft:block/brick_gloomstone", 1034, (b) -> new BlockLogic(b, Materials.GLOOMSTONE))
diff --git a/game/core/src/main/java/net/minecraft/core/data/registry/recipe/entry/RecipeEntryCraftingWithTool.java b/game/core/src/main/java/net/minecraft/core/data/registry/recipe/entry/RecipeEntryCraftingWithTool.java
index 1f78ec708..f29f4fc2d 100644
--- a/game/core/src/main/java/net/minecraft/core/data/registry/recipe/entry/RecipeEntryCraftingWithTool.java
+++ b/game/core/src/main/java/net/minecraft/core/data/registry/recipe/entry/RecipeEntryCraftingWithTool.java
@@ -148,7 +148,8 @@ public class RecipeEntryCraftingWithTool extends RecipeEntryCraftingDynamic impl
                     if (stack.getMetadata() + 1 > stack.getMaxDamage())
                         stack2 = null;
                     else {
-                        stack2 = new ItemStack(stack.getItem(), stack.stackSize, stack.getMetadata()+1);
+                        stack2 = stack.copy();
+                        stack2.setMetadata(stack.getMetadata() + 1);
                     }
                 } else {
                     if (stack.stackSize - 1 == 0)
diff --git a/game/core/src/main/resources/assets/minecraft/lang/en_US/options.lang b/game/core/src/main/resources/assets/minecraft/lang/en_US/options.lang
index 5ec26009f..cc2ed3fb2 100644
--- a/game/core/src/main/resources/assets/minecraft/lang/en_US/options.lang
+++ b/game/core/src/main/resources/assets/minecraft/lang/en_US/options.lang
@@ -223,6 +223,10 @@ options.musicFrequency.frequent=Frequent
 options.musicFrequency.default=Default
 options.musicFrequency.unusual=Unusual
 options.musicFrequency.rare=Rare
+options.selectedSoundtrack=Soundtrack
+options.selectedSoundtrack.minecraft=Minecraft
+options.selectedSoundtrack.better_than_adventure=BTA!
+options.selectedSoundtrack.mixed=Mixed
 
 options.fov.modification=Contextual FOV Modification
 options.screen.motion.effects=Screen Motion Effects
